/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\10th Anniversary artifacts\SolleretsOfSacrifice.cs
Lines of code: 57
***********************************************************/


using Server;
using System;

namespace Server.Items
{
	public class VirtueArmorSet : ArmorSet
	{
		public override int ArmorSetAmt {get{return 8;}}	

		public override Type ArmorSet_Helm{ get { return typeof(HelmOfSpirituality); } }
		public override Type ArmorSet_Arms{ get { return typeof(ArmsOfCompassion); } }
		public override Type ArmorSet_Gloves{ get { return typeof(GauntletsOfValor); } }
		public override Type ArmorSet_Neck{ get { return typeof(GorgetOfHonesty); } }
		public override Type ArmorSet_Pants{ get { return typeof(LegsOfHonor); } }
		public override Type ArmorSet_InnerTorso{ get { return typeof(BreastplateOfJustice); } }
		public override Type ArmorSet_Shoes{ get { return typeof(SolleretsOfSacrifice); } }	
		public override Type ArmorSet_Cloak{get{return typeof(CloakOfHumility);}}
	}


	
	public class SolleretsOfSacrifice : Shoes
	{
		public override int LabelNumber{ get{ return 1075194; } } //Sollerets of Sacrifice (Virtue Armor Set)
	
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }
		
		public override ArmorSet armorset{get{return new VirtueArmorSet();}}

		public override int BasePhysicalResistance{ get{ return 0; } }
		public override int BaseFireResistance{ get{ return 0; } }
		public override int BaseColdResistance{ get{ return 0; } }
		public override int BasePoisonResistance{ get{ return 0; } }
		public override int BaseEnergyResistance{ get{ return 0; } }	

		[Constructable]
		public SolleretsOfSacrifice() : base()
		{
		ItemID=11026;
		LootType=LootType.Blessed;		
		}
				
		//properties - note, for armor set these are used instead of the constructor		
		
		public override void ArmorSetAttributes()
		{
		ArmorSetOn_ResistBonuses.Physical=20;
		ArmorSetOn_ResistBonuses.Fire=20;
		ArmorSetOn_ResistBonuses.Cold=20;
		ArmorSetOn_ResistBonuses.Poison=20;
		ArmorSetOn_ResistBonuses.Energy=20;		

		ArmorSetOn_ClothingAttributes.SelfRepair=20;  
		}	
		
		

		

		public SolleretsOfSacrifice( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
	
}